#include<stdio.h>
#include<stdlib.h>

int main()
{
  int n,i,j,k;
  
  scanf("%d",&n);
  if(n<=0)
  {
   printf("-1");
   exit(EXIT_FAILURE);
  }
  for(i=n;i>=1;i--)
  {
   for(j=n-i;j>=1;j--)
     printf(" ");
   for(j=2*i-1;j>=1;j--)
     if(j%2==0)
       printf("-");
     else
       printf("*");
       printf("\n");
    
     
  }
  
  return 0;
}
